
<%- include("partial/header") -%>
<%- include("partial/main_nav")-%>
<div id="mySidebar" class="sidebar">
  
  <a href="#home">Home</a>
  <a href="#user">Users</a>
  <a href="#product">Products</a>
</div>

<div id="main">
  <section id="home">
    <div class="header__title">
      <h3>Dashboard</h3>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing, elit. Qui, autem? Rerum optio recusandae nisi quod impedit, debitis reiciendis, molestias tempore cupiditate porro ipsum mollitia expedita fugit fuga accusamus voluptas earum!</p>
    </div>
    <div class="status__header">
      <div class="status__content">
        <i class="fas fa-users icon__main"></i>
        <p class="number__status">+<%= numberOfActiveUsers %></p>  
        <p class="title__status"></i>Users</p>
        <small>Users who are still active</small>
      </div>        
      <div class="status__content">
        <i class="fas fa-box icon__main"></i>
        <p class="number__status">+<%= numberOfActiveProducts %></p>
        <p class="title__status">Products</p>
        <small>Products that are available</small>
      </div>        
      <div class="status__content">
        <i class="fas fa-cash-register icon__main"></i>
        <p class="number__status">+<% numberOfBoughtProducts.forEach(result => { %>
            <%= result.customer %>
         <% }) %></p>
        <p class="title__status">Sales</p>
        <small>Number of Sales</small>
      </div>        
    </div>
  </section>
  <section id="user">
    <div class="user__container">
      <h3 class="text-center">List of Users</h3>
      <p class="text-center">Lorem ipsum dolor sit, amet consectetur, adipisicing elit.</p>
      <div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-12">
            <table id="userTable" class="table table-hover tbl__users">
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">First Name</th>
                  <th scope="col">Last Name</th>
                  <th scope="col">Email</th>
                  <th scope="col">Status</th>
                  <th scope="col">Action</th>
                </tr>
              </thead>
              <tbody>
                <% Users.forEach(user => {%>
                <tr>
                  <td class="counterCell table__values"></td>
                  <td class="table__values"><%= user.fullName[0].givenName %></td>
                  <td class="table__values"><%= user.fullName[0].familyName %></td>
                  <td class="table__values"><%= user.email%></td>
                  <td class="table__values">
                    <% if(user.isActive){%>
                      <p class="text-success">Active</p>
                    <%}else{%>
                      <p class="text-danger">Inactive</p>
                    <%}%>
                  </td>
                  <td class="table__values">
                    <form action="/main/setAsAdmin" method="POST">
                      <button type="submit" class="btn btn-<%if(user.isAdmin){%>success<%}else{%>primary<% }%> btn-sm" name="admin" value="<%= user._id%>"><% if(user.isAdmin){%>Admin<%}else{%>User<% }%></button>
                    </form>
                  </td> 
                </tr>
               <% }) %>
              </tbody>
            </table>    
        </div>
      </div> 
    </div>    
  </section>
  <section id="product">
    <div class="product__container">
      <div class="row">
        <div class="col-md-6">
          <h3>Product</h3>
          <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Ullam, praesentium eaque ab cupiditate repellat fugiat, molestias. </p>
          <form action="/product-create" method="POST">
            <div class="form-group">
              <label for="">Name:</label>
              <input type="text" name="prodName" class="form-control form-control-sm" placeholder="Enter Product Name">
            </div>
            <div class="form-group">
              <label for="">Description:</label>
              <textarea type="text" name="description" class="form-control form-control-sm" placeholder="Enter Description"></textarea>
            </div>
            <div class="form-group">
              <label for="">Price:</label>
              <input type="number" name="price" step="0.01" class="form-control form-control-sm" placeholder="Enter Price">
            </div>
            <button type="submit" name="btnSave" value="save" class="btn btn-primary btn-sm"><i class="fas fa-plus"></i> Add Product</button>
          </form>
        </div>
        <div class="col-md-6">
          <table id="productsTable" class="table table-hover tbl__users">
              <thead>
                <tr>
                  <th scope="col">No.</th>
                  <th scope="col">Product Name</th>
                  <th scope="col">Status</th>
                  <th scope="col">Actions</th>
                  <th></th>
                </tr>
              </thead>
              <tbody>
                <% products.forEach(product => {%>
                <tr>
                  <td class="counterCell table__values"></td>
                  <td class="table__values"><%= product.productName %></td>
                  <td class="table__values">
                    <% if(product.isActive){%>
                      <p class="text-success">Active</p>
                    <%}else{%>
                      <p class="text-danger">Inactive</p>
                    <%}%>
                  </td>
                  <td class="table__values table__actions">
                    <form action="/product/disableProduct" method="POST">
                      <button type="submit" class="btn btn-primary btn-sm" name="prodId" value="<%= product._id%>"><i class="fas fa-archive"></i> Archive</button>
                    </form>  
                  </td> 
                  <td>
                    <form action="/product/<%= product._id%>" method="GET">
                      <button type="submit" class="btn btn-warning btn-sm"><i class="fas fa-edit"></i> Edit</button>                     
                    </form>                    
                  </td>

                </tr>
               <% }) %>
              </tbody>
            </table>
        </div>
      </div>
    </div>
  </section>
  <section id="productSold" class="product__Sold">
    <div class="sold__container mx-auto">
      <h3>Product Sold</h3>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing, elit. Ipsum nobis officia </p>
    </div>
    <table id="productsSoldTable" class="table table-hover tbl__users">
      <thead>
        <tr>
          <th scope="col">Product Name</th>
          <th scope="col">Description</th>
          <th scope="col">Price</th>
        </tr>
      </thead>
      <tbody>
        <% boughtProducts.forEach(products => { %>
        <tr>
          <td><%= products.productName%></td>
          <td><%= products.description%></td>
          <td><%= products.price%></td>
        </tr>
        <%}) %>
      </tbody>
    </table>
  </section>
</div>
<%- include("partial/footer") -%>